{
  "semi": true,
  "trailingComma": "es5",
  "singleQuote": true,
  "printWidth": 100,
  "tabWidth": 2,
  "useTabs": false,
  "arrowParens": "avoid",
  "endOfLine": "lf",
  "bracketSpacing": true,
  "bracketSameLine": false,
  "quoteProps": "as-needed",
  "plugins": ["@ianvs/prettier-plugin-sort-imports"],
  "importOrder": [
    "^(node:.*|fs|path|crypto|url|os|util|events|stream|buffer|child_process|cluster|http|https|net|tls|dgram|dns|readline|repl|vm|zlib|querystring|punycode|assert|timers|constants)$",
    "<THIRD_PARTY_MODULES>",
    "^@stock-bot/(.*)$",
    "^@/(.*)$",
    "^\\.\\.(?!/?$)",
    "^\\.\\./?$",
    "^\\./(?=.*/)(?!/?$)",
    "^\\.(?!/?$)",
    "^\\./?$"
  ],
  "importOrderParserPlugins": ["typescript", "decorators-legacy"]
}
